<div *ngIf="!(user$ | async)"><mat-spinner></mat-spinner></div>
<div *ngIf="user$ | async">
  <mat-card>
    <mat-card-header>
      <mat-icon
        mat-card-avatar
        svgIcon="{{ (user$ | async)?.avatar }}"
      ></mat-icon>
      <mat-card-title>
        <h2>{{ (user$ | async)?.name }}</h2>
      </mat-card-title>
      <mat-card-subtitle>
        Birthday {{ (user$ | async)?.birthDate | date: "d LLL" }}
      </mat-card-subtitle>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group>
        <mat-tab label="Bio">
          <p>{{ (user$ | async)?.bio }}</p>
        </mat-tab>
        <mat-tab label="Notes">
          <app-notes [notes]="(user$ | async)?.notes"></app-notes>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
</div>
